Bug 35581

Summary: [OpenVG] Add support for drawing text to PainterOpenVG
Product: WebKit Reporter: Jakob Petsovits <jpetsovits>
Component: PlatformAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: krit
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: All   
Bug Depends on:    
Bug Blocks: 33987    
Attachments:
Description Flags
Patch krit: review+

Description Jakob Petsovits 2010-03-02 08:18:25 PST
Make PainterOpenVG draw text, given a VGFont. This does not include any font management, as the OpenVG graphics backend has no idea where to get its VGFonts from (that's the task of the overall platform, rather than the graphics backend). Includes a bit of code that aligns the given point to device pixels, as that makes fonts look vastly better (for zooms/transformations other than the identity matrix).
Comment 1 Jakob Petsovits 2010-03-02 08:20:43 PST
Created attachment 49806 [details]
Patch
Comment 2 Dirk Schulze 2010-03-09 11:48:50 PST
Comment on attachment 49806 [details]
Patch

A simple style issue:
 1034         p = FloatPoint(0, 0);

Please use just FloatPoint() here.

r=me with the fix above.
Comment 3 Jakob Petsovits 2010-03-12 11:45:30 PST
Committed r55923: <http://trac.webkit.org/changeset/55923>